summaryrefslogtreecommitdiff
path: root/dev-python/BitVector/BitVector-3.5.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-31 01:38:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-31 01:38:18 +0000
commit73d7ab23b492b0f258147211056df2f846345072 (patch)
treedaad7282c0bc41b8b49a41643790dfb65752f24a /dev-python/BitVector/BitVector-3.5.0.ebuild
parentdbeff5c12c4f07f751b70f93c82772750db63394 (diff)
downloadbaldeagleos-repo-73d7ab23b492b0f258147211056df2f846345072.tar.gz
baldeagleos-repo-73d7ab23b492b0f258147211056df2f846345072.tar.xz
baldeagleos-repo-73d7ab23b492b0f258147211056df2f846345072.zip
Adding metadata
Diffstat (limited to 'dev-python/BitVector/BitVector-3.5.0.ebuild')
-rw-r--r--dev-python/BitVector/BitVector-3.5.0.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-python/BitVector/BitVector-3.5.0.ebuild b/dev-python/BitVector/BitVector-3.5.0.ebuild
new file mode 100644
index 000000000000..f97377feda26
--- /dev/null
+++ b/dev-python/BitVector/BitVector-3.5.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A pure-Python memory-efficient packed representation for bit arrays"
+HOMEPAGE="https://engineering.purdue.edu/kak/dist/ https://pypi.org/project/BitVector/"
+SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+python_test() {
+ "${PYTHON}" TestBitVector/Test.py || die "Tests fail with ${EPYTHON}"
+}